std::map::~map(3)

NAME
std::map::~map - std::map::~map

Synopsis
   ~map();
   Destructs the map. The destructors of the elements are called and the used storage
   is deallocated. Note, that if the elements are pointers, the pointed-to objects are
   not destroyed.

Complexity
   Linear in the size of the map.